Gallery Platform API
Reference

Get a gallery's public identity + branding

The public identity and branding of the token's gallery — the browser-safe read surface. Authenticated with a `gpub_` publishable token; CORS-open. 404 if the gallery hasn't opted its content public.

GET
/public/gallery

The public identity and branding of the token's gallery — the browser-safe read surface. Authenticated with a gpub_ publishable token; CORS-open. 404 if the gallery hasn't opted its content public.

Authorization

bearerAuth gallery:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: gallery:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "gallery_id": "string",  "gallery_slug": "string",  "gallery_title": "string",  "logo_storage_path": "string",  "logo_url": "string",  "accent_color": "string",  "font_family": "string",  "show_footer": true,  "footer_text": "string"}